Bug 534253 - (RHQ-1067) make agent inventory sync faster
make agent inventory sync faster
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Plugin Container (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-06 01:28 EST by John Mazzitelli
Modified: 2009-04-28 04:20 EDT (History)
0 users

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2008-11-06 01:28:00 EST
I have seen the agent's inventory sync go very slow.

I had an agent with about 180 or so resources.  I started the agent clean (nothing in /data directory; inventory.dat was gone). It took about 10 minutes for the agent to complete the sync - all that time, the agent showed red in the UI so this will be confusing to people thinking they started the agent but its not turning green within a minute or two from startup.

We need to optimize the inventory sync so it goes faster.
Comment 1 Joseph Marques 2009-04-28 04:20:17 EDT
this was fixed for 1.2 release.  the old algorithm used to be O(N) where N was the number of nodes in the tree for that platform.  today's inventory sync is O(D) where D is the depth of the resource tree.

also, instead of creating and delivering measurement schedules one resource at a time, they are also bulk inserted.  alert template creation has been moved fully back to the server side.
Comment 2 Red Hat Bugzilla 2009-11-10 15:23:11 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1067

Note You need to log in before you can comment on or make changes to this bug.